Subject: Re: [ANN] Cygwin DEV survey
From: Stipe Tolj <[email-masked]>
To: Jonathan Pryor <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Fri, 12 Mar 1999 01:15:10 +0100

Jonathan Pryor wrote:

> Why don't we have the "best of both worlds"?
> 
> I like the idea of tar files.  I also like the idea of an
> InstallShield setup to specify which parts to install (via
> a Custom install option).
> 
> Wouldn't it be possible to have tarballs, and have InstallShield
> extract the tarballs as part of its installation?  Then both
> groups can be satisified, and it shouldn't be too much more
> difficult to do...(at least, I wouldn't think it so, but I've
> been wrong before...)

actualy this is want we intended, even if it isn't exactly what you
want. On a fresh non-Cygwin installed Win32 system InstallShield should
be used to install actualy Cygwin and all other pre-compiled compontents
via custom install options and all port sources should we provided as
tarballs for re-compilation purposes.

> For the record, I also would like to have a CD with almost
> everything on it.  It would certainly make re-installing
> "the world" easier...  :-)
> 
> Would it be possible to place mingw32 on the CD as well?
> I don't remember seeing this raised as an option, but I
> would find it useful to have it on the CD...

As the thread says, it should be considered as Cygwin Development
Environment and hence there hasn't been any Mingw32 support intended, at
least for the first release.

Anyway our pre-defined limit of one CD size will be very soon out of
space when you consider that we will provide all full port sources of
the pre-compiled components. Startig with the Cygwin sources itself and
mandatory components like X11R6.4 from Sergey, binutils, inetutils and
the whole /usr/local suite of Andy Piper.

Regards,
Stipe

-- 
Stipe Tolj <[email-masked]>

Cygwin Porting Project -- "We build UNIX on top of Windows"
http://www.student.uni-koeln.de/cygwin

Department of Economical Computer Science        
University of Cologne, Germany

--
Want to unsubscribe from this list?
Send a message to [email-masked]